<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@300;400&display=swap" rel="stylesheet">
    <link href="css/app.css" rel="stylesheet">
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>
    <title>Teachinder</title>
</head>
<body>
<div class="content">
    <header>
        <div class="headerStyleBlock">
            <div class="logo">Teachinder</div>

            <div class="searchform">
                <select class="search_types" id="search_types_selection">
                    <option>Search by name</option>
                    <option>Search by notes</option>
                    <option>Search by age</option>
                </select>

                <input type="text" placeholder="Enter name to search" id="search_teacher_input">
                <button id="search_teacher_button">Search</button>

            </div>
        </div>
        <div class="headerStyle">
            <div class="menu">
                <input id="menuToggle" type="checkbox"/>
                <label class="burger" for="menuToggle">
                    <div class="bar1"></div>
                    <div class="bar2"></div>
                    <div class="bar3"></div>
                </label>
                <nav class="headerUI">
                    <a href="">Teachers</a>
                    <a href="">Statistics</a>
                    <a href="">Favorites</a>
                    <a href="">About</a>
                </nav>
            </div>
            <a class="button addTeacherButton" href="#addTeacherModal">Add teacher</a>
        </div>
    </header>

    <hr>
    <div class="title">Top Teachers</div>

    <div id="filterTabDiv">
        <label>Filter by:</label>

        <select id="countrySelection" class="input-style">
            <option value="All Countries" selected disabled hidden>All Countries</option>
            <option>All Countries</option>
            <option>United States</option>
            <option>Germany</option>
            <option>Spain</option>
            <option>Finland</option>
            <option>Ireland</option>
            <option>Australia</option>
        </select>

        <select id="ageSelection" class="input-style">
            <option value="All Ages" selected disabled hidden>All Ages</option>
            <option>All Ages</option>
            <option>Younger than 30</option>
            <option>30 to 50</option>
            <option>Older than 50</option>
        </select>

        <select id="genderSelection" class="input-style">
            <option value="All Genders" selected disabled hidden>All Genders</option>
            <option>All Genders</option>
            <option>Male</option>
            <option>Female</option>
        </select>

    </div>

    <section>
        <div class="cardsGrid" type="module">
        </div>
    </section>

    <hr>
    <div class="title">Statistics</div>

    <section>
        <table class="table_statistics">
            <tr>
                <th>Name</th>
                <th>Age</th>
                <th>Gender</th>
                <th>Nationality</th>
            </tr>
            <tr>
                <td>Daisy Alexander</td>
                <td>28</td>
                <td>Male</td>
                <td>Vietnam</td>
            </tr>
            <tr>
                <td>Julia Bradley</td>
                <td>26</td>
                <td>Female</td>
                <td>USA</td>
            </tr>
            <tr>
                <td>Rita Hart</td>
                <td>19</td>
                <td>Female</td>
                <td>Ireland</td>
            </tr>
        </table>
        <div class="pagination">
            <a href="#" class="pageNumber active">1</a>
            <a href="#" class="pageNumber">2</a>
            <a href="#" class="pageNumber">3</a>
            <a href="#" class="pageNumber">...</a>
            <a href="#" class="pageNumber">Last</a>
        </div>
    </section>
    <hr>
    <div class="title">Favorites</div>
    <section>
        <div class="slider">
            <div class="favoriteTeachers">
            </div>
            <img src="images/arrow.svg" class="slideRight" alt="rightArrow">
            <img src="images/arrow.svg" class="slideLeft" alt="leftArrow">
        </div>
    </section>
    <hr>
    <article>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ab accusantium delectus distinctio doloremque esse
            et ex fuga nesciunt optio porro quae quis saepe, soluta temporibus vero. Error esse explicabo impedit!</p>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At, culpa cupiditate dolor dolore dolorum eligendi
            error inventore iste itaque mollitia nisi, non odio praesentium quibusdam recusandae repellat saepe veniam
            voluptatibus.</p>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Amet earum nesciunt quaerat unde vero? Autem
            consectetur facilis illo nisi reiciendis! Accusamus amet assumenda delectus enim facilis labore possimus
            quibusdam voluptates.</p>
    </article>
    <footer>
        <nav class="footerNav">
            <a href="">Teachers</a>
            <a href="">Statistics</a>
            <a href="">Favorites</a>
            <a href="">About</a>
        </nav>
        <a class="button addTeacherButton" href="#addTeacherModal">Add teacher</a>
    </footer>

    <div class="userInfoModal" id="uInfoModal">
    </div>

    <div class="addTeacherModal" id="addTeacherModal">
        <div class="popupContainer">
        <a class="close" href="#">&times;</a>
            <div class="title">Add teacher</div>
            <form action="index.php">
                <label for="addTeacherModal_name">Name</label><br>
                <input class="formInput" id="addTeacherModal_name" type="text" name="name" autofocus required><br>

                <label for="addTeacherModal_country">Country</label><br>
                <select class="formInput" id="addTeacherModal_country" name="country">
                    <option>United States</option>
                    <option>Germany</option>
                    <option>Spain</option>
                    <option>Finland</option>
                    <option>Ireland</option>
                    <option>Australia</option>
                </select><br>

                <label for="addTeacherModal_city">City</label><br>
                <input class="formInput" id="addTeacherModal_city" type="text" name="city"><br>

                <label for="addTeacherModal_phone">Phone</label><br>
                <input class="formInput" id="addTeacherModal_phone" type="tel" name="phone" pattern="[0-9]{5,10}" required><br>

                <label for="addTeacherModal_email">e-mail</label><br>
                <input class="formInput" id="addTeacherModal_email" type="email" name="email" required><br>

                <label for="addTeacherModal_age">Age</label><br>
                <input class="formInput" id="addTeacherModal_age" type="number" name="age" required><br>

                <div class="formSelectContainer">
                    <label>Sex</label>
                    <label>Female <input name="gender" id="addTeacherModal_female" type="radio" value="female"></label>
                    <label>Male <input name="gender" id="addTeacherModal_male" type="radio" value="male"></label><br>
                </div>

                <div class="formSelectContainer">
                    <label for="color">Background color</label><br>
                    <input id="color" type="color" name="color">
                </div>

                <a class="button addTeacherSubmitButton" id="addTeacherSubmitButton">Add teacher</a>

            </form>
        </div>
    </div>
    <div class="modal-overlay"></div>
</div>

<!--<p id="demo" ></p>-->
<script type="module" src="js/app.js"></script>

</body>
</html>
